AFileStandardItem(3)

NAME
AFileStandardItem - Simple QStandardItem subclass to encapsulate necessary file info. Using only a QStandardItem would mean that the full path should be inputted as data and of course displayed by default. However this way we create the absolute path in the fileInfo attribute for further use while displaying only the base name.

SYNOPSIS

#include <backupwidget.h>

Inherits QStandardItem.

  Public Member Functions
AFileStandardItem (const QIcon &icon, const QString &filename, const AStandardPaths::Directories dir)
AFileStandardItem (const QIcon &icon, const QFileInfo file_info)
const QFileInfo & info () const

Detailed Description

Simple QStandardItem subclass to encapsulate necessary file info. Using only a QStandardItem would mean that the full path should be inputted as data and of course displayed by default. However this way we create the absolute path in the fileInfo attribute for further use while displaying only the base name.

Author

Generated automatically by Doxygen for openPilotLog from the source code.